[Unit]
Description=Elasticsearch %j - instance %i
After=syslog.target network.target
BindsTo=in4_netns@%i.service
After=in4_netns@%i.service
JoinsNamespaceOf=in4_netns@%i.service

[Service]
Environment=ES_PATH_CONF=/media/sysdata/in4/context/_me/landscape/data--c/database--o/json--f/elasticsearch
Environment=VERSION=%j
Environment=PORT=00
Environment=INSTANCE=%i
Environment=ES_LOGPATH=/media/storage/namespace/%i/flow/ops/services/es/%j/log
Environment=ES_DATAPATH=/media/storage/namespace/%i/flow/ops/services/es/%j/data
Environment=ES_JAVA_OPTS="-Xlog:gc*,gc+age=trace,safepoint:file=/media/storage/namespace/%i/flow/ops/services/es/%j/log/gc.log:utctime,pid,tags:filecount=32,filesize=64m"

EnvironmentFile=/media/sysdata/in4/context/_me/landscape/data--c/database--o/json--f/elasticsearch/env_%j_%i
WorkingDirectory=/media/storage/app/elastic/es/%j
ExecStart=/media/storage/app/elastic/es/%j/bin/elasticsearch -p /media/storage/namespace/%i/flow/ops/services/es/pid 
ExecReload=/bin/bash /media/sysdata/in4/platform/v5/landscape/data--c/database--o/json--f/elasticsearch/dsl/main--s/sgadmin_reload.sh %j ${PORT}

PrivateNetwork=true
Restart=on-failure
RestartSec=20
StartLimitInterval=20
StartLimitBurst=5
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=elastic_%j_%i
LimitMEMLOCK=infinity
LimitNOFILE=65536

User  = %i
Group = %i

[Install]
WantedBy=default.target

